> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Remote Login Endpoint

> Gets a remote login endpoint to a VM that is hosting a multiplayer server build.

Allowed entity token types: title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| APINotEnabledForGameClientAccess | 1082 |
| MultiplayerServerBadRequest | 1382 |
| MultiplayerServerForbidden | 1384 |
| MultiplayerServerInternalServerError | 1387 |
| MultiplayerServerNotFound | 1385 |
| MultiplayerServerTooManyRequests | 1380 |
| MultiplayerServerUnauthorized | 1383 |
| MultiplayerServerUnavailable | 1388 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/multiplayer/multiplayer.openapi.json post /MultiplayerServer/GetRemoteLoginEndpoint
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Multiplayer API
  description: >-
    API methods for managing multiplayer servers. API methods for managing
    parties. The lobby service helps players group together to play multiplayer
    games. It is often used as a rendezvous point for players to share
    connection information. The TrueSkill service helps titles to estimate a
    player's skill based on their match results. The player skill values from
    this service are commonly used by a matchmaking service to provide players
    with balanced matches.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Lobby
    description: ''
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Matchmaking Admin
    description: Matchmaking Admin APIs
  - name: MultiplayerServer
    description: Multiplayer Server APIs
  - name: PubSub
    description: PlayFab PubSub APIs
  - name: TrueSkill
    description: TrueSkill APIs
  - name: TrueSkill Admin
    description: TrueSkill Admin APIs
paths:
  /MultiplayerServer/GetRemoteLoginEndpoint:
    post:
      tags:
        - MultiplayerServer
      summary: Get Remote Login Endpoint
      description: >
        Gets a remote login endpoint to a VM that is hosting a multiplayer
        server build.


        Allowed entity token types: title


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | APINotEnabledForGameClientAccess | 1082 |

        | MultiplayerServerBadRequest | 1382 |

        | MultiplayerServerForbidden | 1384 |

        | MultiplayerServerInternalServerError | 1387 |

        | MultiplayerServerNotFound | 1385 |

        | MultiplayerServerTooManyRequests | 1380 |

        | MultiplayerServerUnauthorized | 1383 |

        | MultiplayerServerUnavailable | 1388 |

        | ProductDisabledForTitle | 1609 |
      operationId: GetRemoteLoginEndpoint
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetRemoteLoginEndpointRequest'
        description: >-
          Gets a remote login endpoint to a VM that is hosting a multiplayer
          server build in a specific region.
      responses:
        '200':
          $ref: '#/components/responses/GetRemoteLoginEndpointResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetRemoteLoginEndpointRequest:
      description: >-
        Gets a remote login endpoint to a VM that is hosting a multiplayer
        server build in a specific region.
      type: object
      properties:
        BuildId:
          description: >-
            The guid string build ID of the multiplayer server to get remote
            login information for.
          type: string
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Region:
          allOf:
            - $ref: '#/components/schemas/AzureRegion'
          description: >-
            The region of the multiplayer server to get remote login information
            for.
        VmId:
          description: The virtual machine ID the multiplayer server is located on.
          type: string
      required:
        - BuildId
        - Region
        - VmId
      example:
        BuildId: 21781fa8-096d-4d9c-b699-75433d579285
        Region: SouthCentralUs
        VmId: VmID1
    AzureRegion:
      type: string
      enum:
        - AustraliaEast
        - AustraliaSoutheast
        - BrazilSouth
        - CentralUs
        - EastAsia
        - EastUs
        - EastUs2
        - JapanEast
        - JapanWest
        - NorthCentralUs
        - NorthEurope
        - SouthCentralUs
        - SoutheastAsia
        - WestEurope
        - WestUs
        - SouthAfricaNorth
        - WestCentralUs
        - KoreaCentral
        - FranceCentral
        - WestUs2
        - CentralIndia
        - UaeNorth
        - UkSouth
        - SwedenCentral
        - CanadaCentral
        - MexicoCentral
        - WestUs3
        - CanadaEast
        - UkWest
        - FranceSouth
        - SouthIndia
        - SpainCentral
        - GermanyWestCentral
        - ItalyNorth
        - IndonesiaCentral
        - ChileCentral
        - PolandCentral
        - NewZealandNorth
        - BrazilSoutheast
        - NorwayEast
        - SwitzerlandNorth
        - MalaysiaWest
        - IsraelCentral
        - QatarCentral
        - UaeCentral
        - GermanyNorth
        - AustriaEast
        - BelgiumCentral
        - DenmarkEast
        - SwitzerlandWest
        - SwedenSouth
        - NorwayWest
        - SouthAfricaWest
        - MalaysiaSouth
    GetRemoteLoginEndpointResponse:
      type: object
      properties:
        IPV4Address:
          description: The remote login IPV4 address of multiplayer server.
          type: string
        Port:
          description: The remote login port of multiplayer server.
          type: number
          x-actualtype: int32
      required:
        - Port
      example:
        IPV4Address: 10.250.24.54
        Port: 1234
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    GetRemoteLoginEndpointResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetRemoteLoginEndpointResponse'
            example:
              code: 200
              status: OK
              data:
                IPV4Address: 10.250.24.54
                Port: 1234
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Remote Login Endpoint](/services/playfab/api-references/rest/multiplayer/multiplayer-server/get-remote-login-endpoint.md)
- [XBOX PC Remote listening endpoint (wdEndpoint.exe)](/tools/tools-pc/commandlinetools/gr-wdEndpoint.md)
- [PartyNetwork::GetEndpointsByUserType](/services/playfab/multiplayer/networking/reference/classes/PartyNetwork/methods/partynetwork_getendpointsbyusertype.md)
- [XBOX PC Remote Iteration API](/reference/remoting/remoteiteration_members.md)
- [XBOX PC Remote Iteration release versions](/reference/remoting/release-versions.md)
